//fonttest MT

list lFonts = ["Abadi MT","Agency FB","Algerian","Andale Mono","Arial","Arial Rounded MT","Avant-Garde","Baskerville Old Face","Bauhaus 93","Beesknees ITC","Bell MT","Berlin Sans FB","Bernard MT","BernhardMod BT","Bitstream Vera Sans","Bitstream Vera Sans Mono","Bitstream Vera Serif","Blackadder ITC","Blackletter 686 BT","Book Antiqua","Bookman Old Style","Bradley Hand ITC","Braggadocio","Britannic","Broadway","Brush738 BT","Brush Script MT","Brushwood Italic","Californian FB","Calisto MT","CaslonOpenface BT","Castellar","Centaur","Century Gothic","Century Schoolbook","Chiller","Colonna MT","Comic Sans MS","Cooper","Copperplate Gothic","Courier","Courier New","Curlz MT","Desdemona","Edwardian Script ITC","Elephant","Engravers MT","EngraversGothic BT","Eras ITC","Eurostile","Felix Titling","Flexure","Footlight MT","Forte","Franklin Gothic Book","Freestyle Script","French Script MT","Garamond","Georgia","Gigi","Gill Sans MT","Gloucester MT","Goudy Old Style","Goudy Stout","Gradl","Haettenschweiler","Harlow Solid Italic","Harrington","Helvetia","High Tower Text","Hippo","Humanist521 Bold Cn BT","Impact","Imprint MT Shadow","Informal Roman","Jokerman","Juice ITC","Kino MT","Kristen ITC","Kunstler Script","LcdD","Lucida Blackletter","Lucida Calligraphy","Lucida Fax","Lucida Handwriting","Lucida Sans","Lucida Sans Typewriter","Magneto","Maiandra GD","Matisse ITC","Matura MT Script Capitals","Mead","Mercurius Script MT","Mistral","Modern No. 20","Monotype Corsiva","MS Sans Serif","News Gothic MT","Niagara Engraved","Niagara Solid","
OCR A","Old English Text MT","Onyx","Onyx BT","Oz Handicraft BT","Palace Script MT","Palatino Linotype","Papyrus","Parchment","Perpetua Titling MT","Placard Condensed","Playbill","Poor Richard","Pristina","QuickType","Rage","Ransom","Ravie","Ribbon131 Bd BT","Rockwell","Script MT","ShelleyVolante","Showcard Gothic","Snap ITC","Stencil","Swiss721 BlkEx BT","Tahoma","Tempus Sans ITC","Terminal","Times New Roman","T-Roman","Transam","Trebuchet MS","Tw Cen MT","Utopia","Verdana","Viner Hand ITC","Vivaldi","Vladimir Script","Westminster","Wide Latin","Xerox Sans Serif","Xerox Serif","Utopia","Zapf Chancery",

// Microsoft fonts
"Andale Mono", "Arial", "Arial Black", "Calibri", "Cambria", "Comic Sans MS", "Candara", "Consolas", "Constantia", "Corbel", "Courier New", "Georgia",  "Impact", "Times New Roman", "Webdings",

// urw-fonts
"Bookman", "Zapf Chancery", "URW Gothic L", "Palatino", "New Century Schoolbook",

// Tex Gyre
"TeX Gyre Adventor", "TeX Gyre Bonum", "TeX Gyre Bonum Math", "TeX Gyre Chorus", "TeX Gyre Cursor", "TeX Gyre DejaVu Math", "TeX Gyre Heros", "TeX Gyre Heros Cn", "TeX Gyre Pagella", "TeX Gyre Pagella Math", "TeX Gyre Schola", "TeX Gyre Schola Math", "TeX Gyre Termes", "TeX Gyre Termes Math"
];


string sContentType = "vector";
string sData = "";                               
string sExtraParams = "width:1024,height:1024";
integer i;
integer j;
integer k;

integer HEIGHT=50;
integer WIDTH=250;

draw_fonts(list fonts)
{
    sData += "PenSize 5; ";
    sData += "PenColour Red; "; 
    sData += "FontSize 14; ";    
    for (i = 0; i <= llGetListLength(fonts); ++i)
    {
        j=i;
        k=1;
        if (i>=HEIGHT)
        {
            j= i-HEIGHT;
            k= WIDTH;
        }
        if (i>=HEIGHT*2)
        {
            j= i-HEIGHT*2;
            k= WIDTH*2;
        }
        if (i>=HEIGHT*3)
        {
            j= i-HEIGHT*3;
            k= WIDTH*3;
        }                 
        if (i>=HEIGHT*4)
        {
            j= i-HEIGHT*4;
            k= WIDTH*4;
        }                 
        //llOwnerSay((string)i+","+(string)j+","+(string)k+llList2String(fonts,i));
        sData += "MoveTo "+(string)k+","+(string)(20*j)+"; ";
        string name = llList2String(fonts,i);
        sData += "FontName "+name+"; Text "+name+";";
    }

    osSetDynamicTextureData("", sContentType, sData, sExtraParams, 0);
}


default
{
    state_entry()
    {
        draw_fonts(lFonts);
    }
}
